Nouvelle version de macOS 10.15 Catalina: ne vous précipitez pas pour l’installer!

Vous utilisez votre Mac tous les jours? Cet article vous concerne! La prochaine version de macOS, le système d’exploitation des Mac, s’appellera Catalina. Elle portera le numéro de version 10.15 et sera disponible dans le courant du mois de septembre 2019. Elle apportera son lot de nouveautés et d’amélioration globale de la sécurité de votre machine et pourtant, je vous conseille de patienter avant de mettre votre système à jour. Voici pourquoi.

catalina_pas_tout_de_suite.jpg

Une histoire de « bits »

Outre que la première version d’une mise à jour majeure comme celle-ci contient souvent encore quelques bugs de « jeunesse » qui peuvent s’avérer irritants, voire bloquants, Catalina intègre un changement d’importance qui peut tout bonnement vous empêcher d’ouvrir certaines des applications que vous utilisez tous les jours. Ce serait ballot non ? Le problème vient du fait que Catalina refusera d’ouvrir certaines applications considérées comme programmées « à l’ancienne ». On parle d’applications 32 bits (les anciennes) contre applications 64 bits (les plus récentes). Et seules ces dernières sont acceptées par Catalina.

macos-alerte-32-bit-app.jpg

High Sierra et Mojave nous avaient prévenu…

Nul besoin d’être programmeur pour savoir si vous êtes concerné·e ou pas par ce problème. Dans sa grande bonté, Apple a mis en place un système d’alerte dans deux versions précédentes de macOS (High Sierra–10.13 et Mojave–10.14) pour vous prévenir que bientôt (à la sortie de Catalina donc), certaines de vos applications ne fonctionneraient plus. Si vous avez déjà vu la fenêtre ci-dessus, c’est qu’au moins une de vos applications ne sera pas acceptée par Catalina–10.15. Le mot « App » étant remplacé par le nom de l’application que vous lancez. Mais avouez-le, vous n’y avez guère prêté attention…

Les éditeurs obligés de mettre à jour leurs applications

Mais alors que faire? Si vous utilisez une ou plusieurs applications interdites de Catalina, il faut patienter et donc éviter la mise à jour. En attendant que les éditeurs effectuent eux-mêmes la mise à jour de leurs applications pour les rendre compatibles avec macOS 10.15. C’est déjà le cas des plus importants comme Adobe (Photoshop, InDesign, …) ou Microsoft. Il vous faudra donc effectuer la mise à jour de ces applications également pour pouvoir les utiliser avec Catalina. Mais pas forcément des plus petits éditeurs dont certains ont peut-être même disparu. Dans ce cas, il vous faudra trouver une application de remplacement lorsque vous serez décidé à passer à Catalina… ou quand vous changerez de Mac…



Vous êtes perdu·e? Contactez-moi!

Vous avez un doute sur la marche à suivre ? Vous voulez être rassuré·e sur le bon fonctionnement de votre Mac (et aussi de votre PC ou de tout votre système informatique?). Je suis là pour vous aider. Cliquez ci-dessous.

Comment savoir si mes applications sont 32 ou 64 bits?

Déroulez le menu Pomme en haut à droite et choisissez «À propos de ce Mac». Dans la fenêtre qui s’ouvre, cliquez sur le bouton «Rapport système…» dans l’onglet Aperçu. Une nouvelle fenêtre s’ouvre: faites défiler sa colonne de gauche pour pouvoir cliquer sur «Applications», dans la section «Logiciel». S’affiche alors la liste de toutes les applications installées sur votre machine. Au besoin, réduisez la largeur de la colonne «Version» pour faire apparaître celle nommée «64 bits (Intel)». On voit que sur ma machine, toutes les applications Adobe ne sont pas encore passées aux 64 bits. Et chez vous ?

liste_app_32_64_bits.png